#
# spec file for package perl-Class-Accessor-Lite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Accessor-Lite
Version:        0.08
Release:        13.1
%define cpan_name Class-Accessor-Lite
Summary:        Minimalistic Variant of Class::Accessor
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Accessor-Lite/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZUHO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The module is a variant of 'Class::Accessor'. It is fast and requires less
typing, has no dependencies to other modules, and does not mess up the
@ISA.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri May  8 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Class-Accessor-Lite/Changes
  0.08
  - unbundle MYMETA.* (thanks to dolmen)
  - build the archive using GNU tar
* Tue Apr 28 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Class-Accessor-Lite/Changes
  0.07
  - lazy Carp loading (thanks to qsimpleq)
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.06
  - fix documentation issues (thanks to magnolia-k)
* Tue Jun 18 2013 coolo@suse.com
- updated to 0.05
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 0.05
  * created by cpanspec 1.78.04
